Subject: Cihui 1.0d12

From: Ed Lai <[email-masked]>
Date: Tue, 3 Aug 1993 16:38:22 -0700

Cihui 1.0d12 is now on ftp.apple.com in the usual place. This version
supports a variation of LianXiang. When I first hear about LianXiang
many years ago, I was very excited about the concept. However now
I realize the idea is rather limited. Since LianXiang depends on a
phrase dictionary, then the user is better off entering the whole
phrase rather than pick the first character and depend on LianXiang
for the the list of second character. Even if user is not sure about
the spelling of the second character, the fact that there is dynamic
display of phrases make this unnecessary. However, let say you
are entering a phrase starting with yi, you know the first character
but is not sure about the second. Since yi is so common there are
too many phrases to choose, and suppose you see the first character
then picking it and depending on LianXiang to provide a list of
second characters can still be useful. However, after you pick the
second character from the LianXiang list orthodox LianXiang would
offer you another list based on the one you just pick, this is rather
silly and is almost never correct, so Cihui would not continue
down the chain.

I would put new version of Cihui on ftp from time to time, however
I would not try to announce it unless there is something interesting.

/* Disclaimer: All statments and opinions expressed are my own */
/* Edmund K. Lai                                               */
/* Apple Computer, MS37-AS                                     */
/* 20525 Mariani Ave,                                          */
/* Cupertino, CA 95014                                         */
/* (408)974-6272                                               */
zW@h9cOi